using System;

namespace Zadatak_4
{
    class Program
    {
        static void Main(string[] args)
        {
            string rec = Console.ReadLine();
            string zabranjenaRec = Console.ReadLine();
            int c = 0;
            string dobijenaRec="";
            if(zabranjenaRec=="a")
            {
                for(int i=0;i<rec.Length;i++)
                {
                    if (rec[i] == 'a')
                    {
                        c++;
                        dobijenaRec += "*";
                    }
                    else dobijenaRec += rec[i];
                }
            }
            else if(zabranjenaRec=="ab")//ne radi dobro
            {
                int brojacA = 0;
                for (int i = 0; i < rec.Length; i++)
                {
                    if (rec[i] == 'a')
                    {
                        brojacA++;
                        dobijenaRec += rec[i];
                    }
                    else if(rec[i]=='b' && brojacA>0)
                    {
                        c++;
                        brojacA--;
                        dobijenaRec += "*";
                    }
                    else
                    {
                        dobijenaRec += rec[i];
                    }
                }
            }
            else if(zabranjenaRec=="abc")//ne radi dobro
            {
                int brojacA = 0;
                int brojacB = 0;
                for (int i = 0; i < rec.Length; i++)
                {
                    if (rec[i] == 'a')
                    {
                        brojacA++;
                        dobijenaRec += rec[i];
                    }
                    else if (rec[i] == 'b')
                    {
                        brojacB++;
                        dobijenaRec += rec[i];

                    }
                    else if (rec[i] == 'c')
                    {
                        c++;
                        brojacA--;
                        brojacB--;
                        dobijenaRec += "*";
                    }
                    else
                    {
                        dobijenaRec += rec[i];
                    }
                }
            }
            else
            {
                int brojacA = 0;
                for (int i = 0; i < rec.Length; i++)
                {
                    if (rec[i] == 'a')
                    {
                        brojacA++;
                        if(brojacA>=zabranjenaRec.Length)
                        {
                            dobijenaRec += "*";
                            c++;
                        }
                        else
                        {
                            dobijenaRec += rec[i];
                        }
                    }
                    else dobijenaRec += rec[i];
                }

            }

            Console.WriteLine(c);
            Console.WriteLine(dobijenaRec);
            
        }
    }
}